Bug 1659347 - Failed to create datavolume if the vm name has uppercase letter
Summary: Failed to create datavolume if the vm name has uppercase letter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: User Experience
Version: 1.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.4
Assignee: Rastislav Wagner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-14 07:09 UTC by Guohua Ouyang
Modified: 2019-03-05 10:51 UTC (History)
4 users (show)

Fixed In Version: 1.4.0-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 10:51:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Guohua Ouyang 2018-12-14 07:09:03 UTC
Description of problem:
Now there is a validation for the VM hostname, if there is an uppercase in the name, it prompt that it will convert the uppercase to lowercase. It work for the VM name, but not for the datavolume.

"""
Events:
  Type     Reason                  Age                From                       Message
  ----     ------                  ----               ----                       -------
  Warning  FailedDataVolumeCreate  30s (x15 over 1m)  virtualmachine-controller  Error creating DataVolume rootdisk-testurl1A: DataVolume.cdi.kubevirt.io "rootdisk-testurl1A" is invalid: metadata.name: Invalid value: "rootdisk-testurl1A": a DNS-1123 subdomain must consist of lower case alphanumeric characters, '-' or '.', and must start and end with an alphanumeric character (e.g. 'example.com', regex used for validation is '[a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*')
"""

Version-Release number of selected component (if applicable):
kubevirt-web-ui:v1.4.0-5

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rastislav Wagner 2018-12-17 08:11:29 UTC
https://github.com/kubevirt/web-ui-components/pull/147

Comment 2 Rastislav Wagner 2019-01-09 16:10:57 UTC
https://github.com/kubevirt/web-ui-components/pull/169

Comment 3 Guohua Ouyang 2019-01-10 08:43:43 UTC
it's fixed in 1.4.0-9.

Comment 4 Tomas Jelinek 2019-01-17 12:32:50 UTC
the last patch fixing it get in for 1.4.0-10

Comment 5 Guohua Ouyang 2019-01-21 08:09:24 UTC
Different story on 1.4.0-10, it does not allow upper-case in VM hostname, that's fine.


Note You need to log in before you can comment on or make changes to this bug.